Ruby: zlib_filefunc_def_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
zlib_filefunc_def_s Struct Reference

`#include <ioapi.h>`

## Data Fields
open_file_func | zopen_file
read_file_func | zread_file
write_file_func | zwrite_file
tell_file_func | ztell_file
seek_file_func | zseek_file
close_file_func | zclose_file
testerror_file_func | zerror_file
voidpf | opaque

## Detailed Description

Definition at line 148 of file ioapi.h.

## Field Documentation

## ◆ opaque

voidpf zlib_filefunc_def_s::opaque

Definition at line 157 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zclose_file

close_file_func zlib_filefunc_def_s::zclose_file

Definition at line 155 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zerror_file

testerror_file_func zlib_filefunc_def_s::zerror_file

Definition at line 156 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zopen_file

open_file_func zlib_filefunc_def_s::zopen_file

Definition at line 150 of file ioapi.h.

Referenced by fill_fopen_filefunc(), fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zread_file

read_file_func zlib_filefunc_def_s::zread_file

Definition at line 151 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zseek_file

seek_file_func zlib_filefunc_def_s::zseek_file

Definition at line 154 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ ztell_file

tell_file_func zlib_filefunc_def_s::ztell_file

Definition at line 153 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zwrite_file

write_file_func zlib_filefunc_def_s::zwrite_file

Definition at line 152 of file ioapi.h.

Referenced by fill_win32_filefunc(), and fill_zlib_filefunc64_32_def_from_filefunc32().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/ioapi.h